/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb;

import java.net.URI;
/*
 * Constants use by WSO2 ESB
 */
public final class Constants {

    public static final String MESSAGE_MAP_KEY           = "Message_Map_Key";
    public static final String IN_MESSAGE_MAP_KEY        = "IN_Message_Map_Key";
    public static final String OUT_MESSAGE_MAP_KEY       = "OUT_Message_Map_Key";
    public static final String IN_FAULT_MESSAGE_MAP_KEY  = "IN_FAULT_Message_Map_Key";
    public static final String OUT_FAULT_MESSAGE_MAP_KEY = "OUT_FAULT_Message_Map_Key";

    public static final String ADMIN_SERVICE_GROUP = "ESBAdmin";
    public static final String ESB_INSTANCE        = "WSO2 ESB";
    public static final String ESB_XML_NAMESPACE   = "http://www.wso2.org/projects/esb";
    public static final String ESB_WEB_XML_KEY     = "ESB_WEB_XML_KEY";

    public static final String WELCOME_PAGE        = "INDEX_HTML_FILE";
    public static final String GENERATED_PAGES     = "wso2esb.generated.pages";

    // Constants for ESB registry
    public static final int LOCAL_HOST_REGISTRY    = 100;
    public static final int REMOTE_HOST_REGISTRY   = 101;
    public static final int REGISTRY_MODE          = LOCAL_HOST_REGISTRY;
    // this will be overwritten if localRegistry parameter is set
    public static final String LOCAL_REGISTRY_ROOT = "registry/";
    public static final String REGISTRY_FILE       = "file";
    public static final String REGISTRY_FOLDER     = "folder";
    public static final URI folder                 =
            URI.create("http://wso2.org/projects/esb/registry/types/folder");
    // use if the exact file type is not known
    public static final URI file =
            URI.create("http://wso2.org/projects/esb/registry/types/file");

    // Constants for ESBSendMediator
    public static final String ESBSEND_ELEMENT          = "send";
    public static final String LOADBALANCE_ELEMENT      = "loadbalance";
    // failover only element
    public static final String FAILOVER_ELEMENT         = "failover";
    public static final String RETRY_AFTER_FAILURE_TIME = "retryAfterFailure";
    public static final String MAXIMUM_RETRIES          = "maximumRetries";
    public static final String RETRY_INTERVAL           = "retryInterval";
    // failover attribute in the loadbalance element
    public static final String FAILOVER                 = "failover";
    public static final String SESSION_AFFINITY         = "sessionAffinity";
    public static final String ALGORITHM_NAME           = "algorithmName";
    // failover group element inside the loadbalance element
    public static final String FAILOVER_GROUP_ELEMENT   = "failover";
    public static final String DISPATCH_MANAGER         = "DISPATCH_MANAGER";
    public static final String DISPATCHERS_ELEMENT      = "dispatchers";
    public static final String DISPATCHER_ELEMENT       = "dispatcher";

    public static final String SAMPLE_CLIENT_INITIATED_SESSION = "SampleClientInitiatedSession";
    public static final String SAMPLE_SERVER_INITIATED_SESSION = "SampleServerInitiatedSession";
    public static final String SERVICE_GROUP_SESSION = "ServiceGroupSession";
    public static final String WSO2ESB_HB_CONFIG_KEY ="wso2esb_hb_configuration_key";
    public static int MSG_BUFFER_SIZE = 200;

    public static class Logging {
        public static String ESB_CONSOLE_APPENDER  = "ESB_CONSOLE_APPENDER";
        public static String ESB_LOG_FILE_APPENDER = "ESB_LOG_FILE_APPENDER";
        public static String ESB_MEMORY_APPENDER   =  "ESB_MEMORY_APPENDER";
    }

    // Constants for DataBase Access
    public static class DBAccess{
        public static final String DERBY_NETWOEK_SERVER_DRIVER
                = "org.apache.derby.jdbc.ClientDriver"; 
        public static final String STATISTICS_DO = "StatisticsDO";
    }
}
