/*
* Copyright 2004,2005 The Apache Software Foundation.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.wso2.esb.persistence.dataobject;

/**
 * The DO representing a statistics record
 */
public class StatisticsDO extends BaseDO {

    private String serverId;
    private long category;
    private String name;
    private long totalCount;
    private long faultCount;
    private long maxTime;
    private long minTime;
    private double avgTime;
    private long direction;

    public StatisticsDO() {}

    public StatisticsDO(String serverId, long category, String name, long totalCount,
        long faultCount, long maxTime, long minTime, double avgTime, long direction) {

        this.serverId = serverId;
        this.category = category;
        this.name = name;
        this.totalCount = totalCount;
        this.faultCount = faultCount;
        this.maxTime = maxTime;
        this.minTime = minTime;
        this.avgTime = avgTime;
        this.direction = direction;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public long getCategory() {
        return category;
    }

    public void setCategory(long category) {
        this.category = category;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

    public long getFaultCount() {
        return faultCount;
    }

    public void setFaultCount(long faultCount) {
        this.faultCount = faultCount;
    }

    public long getMaxTime() {
        return maxTime;
    }

    public void setMaxTime(long maxTime) {
        this.maxTime = maxTime;
    }

    public long getMinTime() {
        return minTime;
    }

    public void setMinTime(long minTime) {
        this.minTime = minTime;
    }

    public double getAvgTime() {
        return avgTime;
    }

    public void setAvgTime(double avgTime) {
        this.avgTime = avgTime;
    }

    public long getDirection() {
        return direction;
    }

    public void setDirection(long direction) {
        this.direction = direction;
    }

    public String toString() {
        return "StatisticsDO{" +
            "serverId='" + serverId + '\'' +
            ", category=" + category +
            ", name='" + name + '\'' +
            ", totalCount=" + totalCount +
            ", faultCount=" + faultCount +
            ", maxTime=" + maxTime +
            ", minTime=" + minTime +
            ", avgTime=" + avgTime +
            ", direction=" + direction +
            '}';
    }
}
