package org.wso2.esb.transport;

import org.apache.axis2.context.ConfigurationContext;
import org.apache.axis2.description.AxisServiceGroup;
import org.apache.axis2.description.AxisService;
import org.apache.axis2.description.AxisOperation;
import org.apache.axis2.engine.AxisConfiguration;
import org.apache.axis2.AxisFault;
import org.wso2.esb.Constants;

import java.util.Iterator;
import java.util.Hashtable;
import java.util.Enumeration;

public class ServiceHTMLProcessor {

    /**
     * Returns the HTML text for the list of services deployed.
     * This can be delegated to another Class as well
     * where it will handle more options of GET messages.
     *
     * @return Returns String.
     */
    public static String getServicesHTML(ConfigurationContext configContext) {
        String temp = "";
        Iterator serviceGroupsItr = configContext.getAxisConfiguration().getServiceGroups();
        boolean status = false;
        if (serviceGroupsItr.hasNext()) {
            status = true;
            temp += "<h2>" + "Deployed services" + "</h2>";
            while (serviceGroupsItr.hasNext()) {
                AxisServiceGroup axisServiceGroup = (AxisServiceGroup) serviceGroupsItr.next();
                if (!Constants.ADMIN_SERVICE_GROUP.equals(axisServiceGroup.getServiceGroupName()))
                {
                    status = true;
                    for (Iterator serviceItr = axisServiceGroup.getServices();
                         serviceItr.hasNext();) {
                        AxisService axisService = (AxisService) serviceItr.next();
                        temp += "<h3><a href=\"" + axisService.getName() + "?info\">" +
                                axisService.getName() + "</a></h3>";
                    }
                }
            }
        }
        Hashtable erroneousServices =
                configContext.getAxisConfiguration().getFaultyServices();

        if ((erroneousServices != null) && !erroneousServices.isEmpty()) {
            temp += "<hr><h2><font color=\"blue\">Faulty Services</font></h2>";
            status = true;
            Enumeration faultyservices = erroneousServices.keys();
            while (faultyservices.hasMoreElements()) {
                String faultyserviceName = (String) faultyservices.nextElement();
                temp += "<h3><font color=\"blue\">" + faultyserviceName + "</font></h3>";
            }
        }

        if (!status) {
            temp = "<h2>There are no services deployed</h2>";
        }

        temp = "<html><head><title>Axis2: Services</title></head>" + "<body>" + temp
               + "</body></html>";

        return temp;
    }

    public static String printServiceHTML(String serviceName,
                                          ConfigurationContext configurationContext) {
        String temp = "";
        try {
            AxisConfiguration axisConfig = configurationContext.getAxisConfiguration();
            AxisService axisService = axisConfig.getService(serviceName);
            if (axisService != null) {
                if (!axisService.isActive()) {
                    temp += "<b>Service " + serviceName +
                            " is inactive. Cannot display service information.</b>";
                } else {
                    temp += "<h3>" + axisService.getName() + "</h3>";
                    temp += "<a href=\"" + axisService.getName() + "?wsdl\">wsdl</a> : ";
                    temp += "<a href=\"" + axisService.getName() + "?xsd\">schema</a> : ";
                    temp += "<a href=\"" + axisService.getName() + "?policy\">policy</a><br/>";
                    temp += "<i>Service Description :  " +
                            axisService.getServiceDescription() + "</i><br/><br/>";
                    Iterator pubOpIter = axisService.getPublishedOperations().iterator();
                    if (pubOpIter.hasNext()) {
                        temp += "Published operations <ul>";
                        for (; pubOpIter.hasNext();) {
                            AxisOperation axisOperation = (AxisOperation) pubOpIter.next();
                            temp += "<li>" + axisOperation.getName().getLocalPart() + "</li>";
                        }
                        temp += "</ul>";
                    } else {
                        temp += "No operations specified for this service";
                    }
                }
            } else {
                temp += "<b>Service " + serviceName +
                        " not found. Cannot display service information.</b>";
            }
            temp = "<html><head><title>Service Information</title></head>" + "<body>" + temp
                   + "</body></html>";
        }
        catch (AxisFault axisFault) {
            temp = "<html><head><title>Service has a fualt</title></head>" + "<body>"
                   + "<hr><h2><font color=\"blue\">" + axisFault.getMessage()
                   + "</font></h2></body></html>";
        }
        return temp;
    }

}
