package org.wso2.esb.util;

public class JettyWebConfiguration {

    private static JettyWebConfiguration instance;
    private String xmlFileKey;

    public String adminWebCtx;
    public String adminWebResourceBase;
    public String serviceUiWebCtx;
    public String serviceUiResourceBase;
    public String feedsWebCtx;
    public String feedsWebResourceBase;
    public String docsWebCtx;
    public String docsWebResourceBase;
    public String samplesWebCtx;
    public String samplesWebResourceBase;
    public String stylesWebCtx;
    public String stylesWebResourceBase;

    public static JettyWebConfiguration getInstance() {
        if (instance == null) {
            instance = new JettyWebConfiguration();
        }
        return instance;
    }

    /**
     * Initialize the web admin content wrt the value of xmlFileKey;
     */
    public void init() {
        adminWebCtx =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"admin\"]/ns:ContextPath");
        adminWebResourceBase =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"admin\"]/ns:ResourceBase") + "/";
        serviceUiWebCtx =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"serviceui\"]/ns:ContextPath");
        serviceUiResourceBase =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"serviceui\"]/ns:ResourceBase") + "/";
        feedsWebCtx =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"feeds\"]/ns:ContextPath");
        feedsWebResourceBase =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"feeds\"]/ns:ResourceBase") + "/";
        stylesWebCtx =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"styles\"]/ns:ContextPath");
        stylesWebResourceBase =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"styles\"]/ns:ResourceBase") + "/";
        docsWebCtx =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"docs\"]/ns:ContextPath");
        docsWebResourceBase =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"docs\"]/ns:ResourceBase") + "/";
        samplesWebCtx =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"samples\"]/ns:ContextPath");
        samplesWebResourceBase =
                XmlConfigurationFactory.getXmlConfiguration(xmlFileKey).
                        getUniqueValue("//ns:Mapping[@name=\"samples\"]/ns:ResourceBase") + "/";

    }

    private JettyWebConfiguration() {
    }

    public void setXmlFileKey(String xmlFileKey) {
        this.xmlFileKey = xmlFileKey;
    }
}
