/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the log mediator specific UI operations
 */

var sendmediator ;
var currentepobj;
var previous_ep_value ;
var sendmediator_c_pos ;

initedit["send"] = function initsendedit(mediator) {
    sendmediator = mediator;
    currentepobj = null;
    previous_ep_value = null;
    sendmediator_c_pos = null;
    var body_xml = '<ns1:getAvailabelEndpoints xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getAvailabelEndpoints>';
    var callURL = serverURL + "/" + PROXY_ADMIN + "/" ;
    send("getAvailabelEndpoints", body_xml, "", callURL, "", false, initsendeditcallback);
};

function initsendeditcallback() {
    if (!onError()) {
        return;
    }
    var ep = xhReq.responseXML.getElementsByTagName("return");
    var epstring = "";
    for (i = 0; i < ep.length; i++) {
        if (ep[i].firstChild.text != undefined) {
            epstring += ep[i].firstChild.text + " ";
        } else {
            epstring += ep[i].firstChild.textContent + " ";
        }
    }
    sendmediator.setAttribute("a_ep", epstring);
}

collectdata["send"] = function collectlogdata(mediator) {
    if (mediator.childNodes.length > 0) {
        if (currentepobj != undefined && currentepobj != null) {
            mediator.removeChild(mediator.childNodes[0]);             
            mediator.appendChild(createesbelement(relpaceString(relpaceString(trim(currentepobj), "&amp;", "&"), "&", "&amp;")));
        }
    }

    return true;
};

mediatorelementstring["send"] = function logstring() {
    return "<syn:send xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};

function getCurrentendpointObejct(position) {
    sendmediator_c_pos = position;
    if (currentepobj != undefined && currentepobj != null) {
        return createesbelement(currentepobj);
    }
    var mediator = getnestedmediator(internalmodel.sequence, position);
    if (mediator == null) {
        esbwarning("Cannot find a valid mediator", TYPE_WARN);
        return;
    }
    if (mediator.childNodes.length > 0) {
        var ep = mediator.childNodes[0];
        if (ep == null || ep == undefined) {
            esbwarning("Endpoint cannot be found", TYPE_WARN);
            return;
        } else {
            return ep;
        }
    }
}

function discardsendepsave() {
    discardfun();
}
function saveSendMediatorEndponit(type) {
    currentepobj = getXmlForAnonymousEndpoint(type);
    if (currentepobj != undefined && currentepobj != null) {
        validatendpoint(currentepobj);
    }
}
function addSendMediatorEndponit(type) {
    currentepobj = getXmlForAnonymousEndpoint(type);
    if (currentepobj != undefined && currentepobj != null) {
        validatendpoint(currentepobj)
    }

}
function validatendpoint(ep) {
    var body_xml = '<ns1:convertToEndpointData xmlns:ns1="http://org.apache.synapse/xsd">' +
                   ep +
                   '</ns1:convertToEndpointData>';
    var callURL = serverURL + "/" + ENDPOINT_MANAGEMENT + "/" + "convertToEndpointData";
    send("convertToEndpointData", body_xml, "", callURL, "", false, validatendpointCallback);
}
function validatendpointCallback() {
    if (!onError()) {
        return;
    }
    if (sendmediator_c_pos != null && sendmediator_c_pos != undefined) {
        var mediator = getnestedmediator(internalmodel.sequence, sendmediator_c_pos);
        if (mediator.childNodes.length > 0) {
            previous_ep_value = mediator.childNodes[0];
            if (previous_ep_value != null && previous_ep_value != undefined) {
                mediator.removeChild(previous_ep_value);
            }
        }
        if (currentepobj != undefined && currentepobj != null) {
            mediator.appendChild(createesbelement(currentepobj));
            discardfun();
            var epdiv = document.getElementById("ep");
            if (epdiv != null && mediator != null) {
                processXML(mediator, "mediators/send_edit.xsl", epdiv);
            }
        }
    }
}
function deleteSendMediatorEndponit(position) {
    sendmediator_c_pos = position;
    currentepobj = null;
    if (sendmediator_c_pos != null && sendmediator_c_pos != undefined) {
        var mediator = getnestedmediator(internalmodel.sequence, sendmediator_c_pos);
        if (mediator.childNodes.length > 0) {
            previous_ep_value = mediator.childNodes[0];
            if (previous_ep_value != null && previous_ep_value != undefined) {
                mediator.removeChild(previous_ep_value);
            }
        }
        var epdiv = document.getElementById("ep");
        if (epdiv != null && mediator != null) {
            processXML(mediator, "mediators/send_edit.xsl", epdiv);
        }
    }
}

