<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:localEntry" xmlns:syn="http://ws.apache.org/ns/synapse">
             <div id="entry_edit_div" style="width:500px;">
            <xsl:element name="label">
                <xsl:attribute name="class">content-header</xsl:attribute>
                <xsl:element name="img">
                    <xsl:if test="@type = 'In-lined XML'">
                        <xsl:attribute name="src">extensions/core/images/in_lined_xml.gif</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="@type = 'In-lined Text'">
                        <xsl:attribute name="src">extensions/core/images/in_lined_text.gif</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="@type = 'SourceURL'">
                        <xsl:attribute name="src">extensions/core/images/source_url.gif</xsl:attribute>
                    </xsl:if>
                </xsl:element>
                <xsl:element name="text"><xsl:value-of select="@type"/> entry</xsl:element>
            </xsl:element>
            <br/>
            <div id="entry_edit" class="end-point-div">
                <br/>
                <table border="0" class="entrytabelcontainer">
                    <tbody>
                         <tr>
                                <td>
                                   Name<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="id">entry_name</xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>

                                       <xsl:attribute name="value">
                                            <xsl:text></xsl:text>
                                        </xsl:attribute>
                                          </xsl:element>
                                </td>
                        </tr>

                         <tr>
                            <td>
                                Value<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <xsl:if test="@type ='SourceURL'">
                                    <xsl:element name="input">
                                        <xsl:attribute name="id">entry_value</xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>
                                       <xsl:attribute name="value">
                                            <xsl:text></xsl:text>
                                        </xsl:attribute>
                                          </xsl:element>
                                     </xsl:if>
                                  <xsl:if test="@type = 'In-lined XML'">
                                  <textarea id="entry_value" type="text" cols="100" rows="10" class="esb-edit" style="width:500px;">
                                        <xsl:text>&#32;</xsl:text>
                                    </textarea>
                                    </xsl:if>
                                    <xsl:if test="@type ='In-lined Text'">
                                    <textarea id="entry_value" type="text" cols="100" rows="10" class="esb-edit" style="width:500px;">
                                        <xsl:text>&#32;</xsl:text>
                                    </textarea>
                                    </xsl:if>
                                </td>
                        </tr>

                    </tbody>
                </table>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>