<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:RMSequence" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">

        <label class="content-header">
            <img src="extensions/core/images/property-mediator.gif"/>
            <xsl:text> Reliable Messaging Sequence Mediator</xsl:text>
        </label>

        <br></br>
        <br></br>
        <div id="common_table_content">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                        <th>Property</th>
                        <th>Value</th>
            </tr>
            <xsl:if test="@version">
                <tr>
                    <td>WS-RM Spec Version</td>
                    <td>
                        <xsl:value-of select="@version"/>
                    </td>
                </tr>
            </xsl:if>
            <xsl:choose>
            <xsl:when test="@single or not(@correlation)">
                <tr>
                    <td>Message sequence</td>
                    <td>Single message</td>
                </tr>
            </xsl:when>
            <xsl:otherwise>
                <tr>
                    <td>Message sequence</td>
                    <td>Correlated sequence</td>
                </tr>
            </xsl:otherwise>
            </xsl:choose>
            <xsl:if test="@correlation">
                <tr>
                    <td>Sequence XPath</td>
                    <td>
                        <xsl:value-of select="@correlation"/>
                    </td>
                </tr>
            </xsl:if>
            <xsl:if test="@last-message">
                <tr>
                    <td>Last message XPath</td>
                    <td>
                        <xsl:value-of select="@last-message"/>
                    </td>
                </tr>
            </xsl:if>
        </table>
        </div>
    </xsl:template>
</xsl:stylesheet>
