<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>
    <xsl:template match="syn:pox" xmlns:syn="http://ws.apache.org/ns/synapse">
        <div id="pox_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/log-mediator.gif"/>
                <xsl:text>POX Mediator</xsl:text>
            </label>
            <br/>
            <div id="pox_edit" class="end-point-div">
                <br/>
                <table border="0" style="margin-left: 3em; width: 150px;">
                    <tbody>
                        <tr>
                            <xsl:if test="@value">
                                <td>
                                    <xsl:text>Value </xsl:text>
                                </td>
                                <td>
                                    <select id="pox_value" class="esb-edit">
                                        <xsl:if test="@value = 'true'">
                                            <option>true</option>
                                            <option>false</option>
                                        </xsl:if>
                                        <xsl:if test="@value = 'false'">
                                            <option>false</option>
                                            <option>true</option>
                                        </xsl:if>
                                    </select>
                                </td>
                            </xsl:if>
                            <xsl:if test="not(@value)">
                                <td>
                                    <xsl:text>Value </xsl:text>
                                </td>
                                <td>
                                    <select id="pox_value" class="esb-edit">
                                        <option>false</option>
                                        <option>true</option>
                                    </select>
                                </td>
                            </xsl:if>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>