<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:include href="commons.xsl"/>

    <xsl:template match="syn:property" xmlns:syn="http://ws.apache.org/ns/synapse">

        <label class="content-header">
            <img src="extensions/core/images/property-mediator.gif"/>
            <xsl:call-template name="capitalize-first"/>
            <xsl:text>Mediator</xsl:text>
        </label>
        <br/>
        <br/>

        <!--For existing mediators-->
        <!--<xsl:if test="@name">-->
            <table border="0" style="margin-left: 3em; width: 650px;">
                <tbody>
                    <tr>
                        <td colspan="2">Name
                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                        </td>
                        <td colspan="2">
                            <input type="text" class="esb-edit" width="80px" id="name">
                                <xsl:attribute name="value">
                                    <xsl:value-of select="@name"/>
                                </xsl:attribute>
                            </input>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <xsl:text>Action</xsl:text>
                        </td>
                        <td style="width: 100px;">
                            <input id="set" name="action" type="radio">
                                <xsl:attribute name="onClick">
                                    javascript: setPropertyAction('set'); return false;
                                </xsl:attribute>
                                <xsl:if test="not(@action) or @action != 'remove'">
                                    <xsl:attribute name="checked">
                                        true
                                    </xsl:attribute>
                                </xsl:if>
                            </input>
                            Set
                        </td>
                        <td>
                            <input id="remove" name="action" type="radio">
                                <xsl:attribute name="onClick">
                                    javascript: setPropertyAction('remove'); return false;
                                </xsl:attribute>
                                <xsl:if test="@action = 'remove'">
                                    <xsl:attribute name="checked">
                                        true
                                    </xsl:attribute>
                                </xsl:if>
                            </input>
                            Remove
                        </td>
                        <td></td>
                    </tr>
                    <xsl:if test="not(@action) or @action != 'remove'">
                    <tr>
                        <td>
                            <input id="value" name="type" type="radio">
                                <xsl:attribute name="onClick">
                                    javascript:setPropertyValue('<xsl:value-of select="@esb_med_pos"/>');
                                </xsl:attribute>
                                <xsl:if test="@value or not(@expression)">
                                    <xsl:attribute name="checked">
                                        true
                                    </xsl:attribute>
                                </xsl:if>
                            </input>
                            Value<xsl:if test="@value or not(@expression)"><font style='color: red;font-size: 8pt;'>&#160;*</font></xsl:if>
                        </td>
                        <td>
                            <input id="expression" name="type" type="radio">
                                <xsl:attribute name="onClick">
                                    javascript:setPropertyExpr('<xsl:value-of select="@esb_med_pos"/>');
                                </xsl:attribute>
                                <xsl:if test="@expression">
                                    <xsl:attribute name="checked">
                                        true
                                    </xsl:attribute>
                                </xsl:if>
                            </input>
                            Expression<xsl:if test="@expression"><font style='color: red;font-size: 8pt;'>&#160;*</font></xsl:if>
                        </td>

                        <td  style="width:200px;" colspan="2">

                            <input type="text" class="esb-edit" width="80px" id="val_ex">
                                <xsl:attribute name="value">
                                    <xsl:if test="@value">
                                        <xsl:value-of select="@value"/>
                                    </xsl:if>
                                    <xsl:if test="@expression">
                                        <xsl:value-of select="@expression"/>
                                    </xsl:if>
                                </xsl:attribute>
                            </input>
                        </td>
                        <td id="namespaceButtonCell" align="left">
                            <xsl:if test="@expression">
                                <a title="Namespace Editor" class="ns_editor">
                                    <xsl:attribute name="onclick">
                                        javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>', '', '', 'true');
                                    </xsl:attribute>
                                    <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                </a>
                            </xsl:if>
                        </td>

                    </tr>
                    <tr>
                        <td colspan="2">
                            <xsl:text>Scope</xsl:text>
                        </td>
                        <td colspan="2">
                            <select class="esb-edit" width="100px" id="scope">
                                <option value="synapse">Synapse</option>
                                <option value="transport">
                                    <xsl:if test="@scope='transport'">
                                        <xsl:attribute name="selected">true</xsl:attribute>
                                    </xsl:if>
                                    Transport
                                </option>
                                <option value="axis2">
                                    <xsl:if test="@scope='axis2'">
                                        <xsl:attribute name="selected">true</xsl:attribute>
                                    </xsl:if>
                                    Axis2
                                </option>
                            </select>
                        </td>
                    </tr>
                    </xsl:if>
                </tbody>
            </table>
        <!--</xsl:if>-->

        <!--For new additions-->
        <!--<xsl:if test="not(@name)">-->
            <!--<table border="0" style="margin-left: 3em; width: 650px;">-->
                <!--<tbody>-->

                    <!--<tr>-->
                        <!--<td colspan="2">Name-->
                            <!--<font style='color: red;font-size: 8pt;'>&#160;*</font>-->
                        <!--</td>-->
                        <!--<td colspan="2">-->
                            <!--<input id="name" type="text" class="esb-edit" width="80px"/>-->
                        <!--</td>-->
                    <!--</tr>-->
                    <!--<tr>-->
                        <!--<td colspan="2">-->
                            <!--<xsl:text>Action</xsl:text>-->
                        <!--</td>-->
                        <!--<td colspan="2">-->
                            <!--<table cellpadding="0" cellspacing="0" border="0">-->
                                <!--<tr>                            -->
                            <!--<td>-->
                                <!--<input id="set" name="action" type="radio">-->
                                    <!--<xsl:if test="@action = 'set' or not(@action = 'remove')">-->
                                        <!--<xsl:attribute name="checked">-->
                                            <!--true-->
                                        <!--</xsl:attribute>-->
                                    <!--</xsl:if>-->
                                <!--</input>-->
                                <!--Set-->
                            <!--</td>-->
                            <!--<td>-->
                                <!--<input id="remove" name="action" type="radio">-->
                                    <!--<xsl:if test="@action = 'remove'">-->
                                        <!--<xsl:attribute name="checked">-->
                                            <!--true-->
                                        <!--</xsl:attribute>-->
                                    <!--</xsl:if>-->
                                <!--</input>-->
                                <!--Remove-->
                            <!--</td>-->
                             <!--</tr>-->
                            <!--</table>-->
                        <!--</td>-->
                    <!--</tr>-->
                    <!--<tr>-->
                        <!--<td>-->
                            <!--<input id="value" name="type" type="radio">-->
                                <!--<xsl:attribute name="onClick">-->
                                    <!--javascript:showNamespaceButton('<xsl:value-of select="@esb_med_pos"/>','','','namespaceButtonCell','false');-->
                                <!--</xsl:attribute>-->
                                <!--<xsl:if test="@value or not(@expression)">-->
                                    <!--<xsl:attribute name="checked">-->
                                        <!--true-->
                                    <!--</xsl:attribute>-->
                                <!--</xsl:if>-->
                            <!--</input>-->
                            <!--Value-->
                        <!--</td>-->
                        <!--<td>-->
                            <!--<input id="expression" name="type" type="radio" value="expression">-->
                                <!--<xsl:attribute name="onClick">-->
                                    <!--javascript:showNamespaceButton('<xsl:value-of select="@esb_med_pos"/>','','','namespaceButtonCell','true');-->
                                <!--</xsl:attribute>-->
                                <!--<xsl:if test="@expression">-->
                                    <!--<xsl:attribute name="checked">-->
                                        <!--true-->
                                    <!--</xsl:attribute>-->
                                <!--</xsl:if>-->
                            <!--</input>-->
                            <!--Expression-->
                        <!--</td>-->
                        <!--<td  style="width:200px;">-->
                            <!--<input id="val_ex" type="text" class="esb-edit" width="80px"/>-->
                        <!--</td>-->
                        <!--<td id="namespaceButtonCell" align="left">-->
                            <!--<xsl:if test="@expression">-->
                                <!--<a title="Namespace Editor" class="ns_editor">-->
                                    <!--<xsl:attribute name="onclick">-->
                                        <!--javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>');-->
                                    <!--</xsl:attribute>-->
                                    <!--<xsl:text>&#160;&#160;&#160;&#160;</xsl:text>-->
                                <!--</a>-->
                            <!--</xsl:if>-->
                        <!--</td>-->

                    <!--</tr>-->
                    <!--<tr>-->
                        <!--<td colspan="2">-->
                            <!--<xsl:text>Scope</xsl:text>-->
                        <!--</td>-->
                        <!--<td colspan="2">-->
                            <!--<select class="esb-edit" width="100px" id="scope">-->
                                <!--<option value="synapse">Synapse</option>-->
                                <!--<option value="transport">-->
                                    <!--<xsl:if test="@scope='transport'">-->
                                        <!--<xsl:attribute name="selected">true</xsl:attribute>-->
                                    <!--</xsl:if>-->
                                    <!--Transport-->
                                <!--</option>-->
                                <!--<option value="axis2">-->
                                    <!--<xsl:if test="@scope='axis2'">-->
                                        <!--<xsl:attribute name="selected">true</xsl:attribute>-->
                                    <!--</xsl:if>-->
                                    <!--Axis2-->
                                <!--</option>-->
                            <!--</select>-->
                        <!--</td>-->
                    <!--</tr>-->


                <!--</tbody>-->
            <!--</table>-->
        <!--</xsl:if>-->

    </xsl:template>
</xsl:stylesheet>
