<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>

    <xsl:template match="spring:spring" xmlns:spring="http://ws.apache.org/ns/synapse/spring">
        <div id="spring_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/spring-mediator.gif"/>
                <xsl:text>Spring Mediator</xsl:text>
            </label>
            <br/>
            <br/>
            <div id="spring_edit" class="end-point-div">
                <br/>
                <table border="0" style="margin-left: 3em; width: 150px;">
                    <tbody>
                        <tr>
                            <xsl:if test="@bean">
                                <td>
                                    <xsl:text>Bean</xsl:text>
                                </td>
                                <td>
                                    <input type="text"  id="spring_bean"
                                           class="esb-edit">
                                        <xsl:attribute name="value">
                                            <xsl:value-of select="@bean"/>
                                        </xsl:attribute>
                                    </input>
                                </td>
                            </xsl:if>
                            <xsl:if test="not(@bean)">
                                <td>
                                    Bean<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <input type="text" size="40" id="spring_bean"
                                           class="esb-edit">
                                        <xsl:attribute name="value">
                                            <xsl:text></xsl:text>
                                        </xsl:attribute>
                                    </input>
                                </td>
                            </xsl:if>
                        </tr>
                        <tr>
                            <td>
                                Key<font style='color: red;font-size: 8pt;'>&#160;*</font>
                            </td>
                            <td>
                                <xsl:element name="input">
                                    <xsl:attribute name="type">text</xsl:attribute>
                                     <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                    <xsl:attribute name="id">
                                        <xsl:value-of select="concat('spring_key',@esb_med_pos)"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="value">
                                        <xsl:if test="not(@key)"></xsl:if>
                                        <xsl:if test="@key">
                                            <xsl:value-of select="@key"/>
                                        </xsl:if>
                                    </xsl:attribute>
                                    <xsl:attribute name="DISABLED"/>
                                </xsl:element>
                            </td>
                            <td>
                                <xsl:element name="img">
                                    <xsl:attribute name="style">margin-left: 40px;</xsl:attribute>
                                    <xsl:attribute name="src">
                                        extensions/core/images/registry_picker.gif</xsl:attribute>
                                    <xsl:attribute name="title">Registry Browser</xsl:attribute>
                                    <xsl:attribute name="onClick">
                                        javascript:springpolicykeyfromregistry('<xsl:value-of select="@esb_med_pos"/>');return false;
                                    </xsl:attribute>
                                </xsl:element>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>