<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        
        <label class="content-header">
            <img src="extensions/core/images/qos-configuration.gif"/>
            <xsl:text> QOS configuration</xsl:text>
        </label>
        <!--<label class="content-description">-->
            <!--Select the QOS aspects for this proxy service. You may enable or disable WS-Security and WS-Reliable Messaging-->
            <!--and specify appropriate service level WS-Policies to define the behaviour.-->
        <!--</label>-->
        <br/>
        <br/>
        <table>
            <tbody>
                <tr>
                    <td style="margin-left: 15px; width:250px; _width:280px;" align="left">WS-Security</td>
                    <td style="margin-left: 60px;" align="left">
                        <xsl:call-template name="qos_checkbox">
                            <xsl:with-param name="type">enableSec</xsl:with-param>
                            <xsl:with-param name="status" select="child::syn:enableSec"/>
                        </xsl:call-template>
                    </td>
                </tr>
                <tr>
                    <td style="margin-left: 15px; width:250px; _width:280px;" align="left">WS-Reliable Messaging</td>
                    <td style="margin-left: 60px;" align="left">
                        <xsl:call-template name="qos_checkbox">
                            <xsl:with-param name="type">enableRM</xsl:with-param>
                            <xsl:with-param name="status" select="child::syn:enableRM"/>
                        </xsl:call-template>
                    </td>
                </tr>
            </tbody>
        </table>

        <p>Service Policies</p><br/>
        <xsl:if test="child::syn:policy">

            <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
                <thead><tr><th>Policy reference</th><th>Actions</th></tr></thead>
                <tbody>
                    <xsl:for-each select="syn:policy">
                        <tr>
                            <td><xsl:value-of select="@key"/></td>
                            <td><a href='#' id='delete_link'>
                                <xsl:attribute name="onclick">
                                    javascript:removepolicy('<xsl:value-of select="@key"/>');return false;
                                </xsl:attribute>&#160;&#160;&#160;&#160;</a>
                            </td>
                        </tr>
                    </xsl:for-each>
                </tbody>
            </table>
            </div>
        </xsl:if>

        <label style="margin-left:3em;">Policy reference</label>
        <input id="policy_ref" style="margin-left: 3em;" type="text" size="20" class="esb-edit_disabled">
            <xsl:attribute name="DISABLED"/>
        </input>
        <img style="margin-left: 3em; margin-bottom:-7px;" src="extensions/core/images/registry_picker.gif"
             title="Registry Browser" onclick="javascript:proxypolicyfromregistry();return false;"/>
        <br/><br/>
        <input type="button" style="margin-left: 4em;" class="panelbutton_default" onclick="javascript: setpolicy(); return false" value="Add"/>

        <!--<div id="proxypolicydiv">-->
            <!--<input type="button" class='panelbutton_default' onclick="javascript: addpolicyview(); return false;" value="Add"/><br/>-->
        <!--</div>-->
    </xsl:template>

    <xsl:template name="qos_checkbox">
        <xsl:param name="type"/>
        <xsl:param name="status"/>
        
        <xsl:choose>
            <xsl:when test="$status">
                <input type="checkbox" checked="true">
                    <xsl:attribute name="id">
                        <xsl:value-of select="$type"/>
                    </xsl:attribute>
                </input>
            </xsl:when>
            <xsl:otherwise>
                <input type="checkbox">
                    <xsl:attribute name="id">
                        <xsl:value-of select="$type"/>
                    </xsl:attribute>
                </input>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>